Commit 5ca3086d authored by Martin Bauer's avatar Martin Bauer
Browse files

Updated conda export scripts

parent 00570bba
...@@ -1669,11 +1669,11 @@ coverage: ...@@ -1669,11 +1669,11 @@ coverage:
############################################################################### ###############################################################################
## ## ## ##
## Windows Builds ## ## Windows Builds ##
## ## ## ##
############################################################################### ###############################################################################
.win_build_template: &win_build_definition .win_build_template: &win_build_definition
...@@ -1981,14 +1981,14 @@ conda-py36-win: ...@@ -1981,14 +1981,14 @@ conda-py36-win:
script: script:
- conda build --python=3.6 --user=lssfau utilities\\conda\\walberla - conda build --python=3.6 --user=lssfau utilities\\conda\\walberla
conda-py35-win: conda-py37-win:
<<: *conda_deploy_definition <<: *conda_deploy_definition
tags: tags:
- win - win
script: script:
- conda build --python=3.5 --user=lssfau utilities\\conda\\walberla - conda build --python=3.7 --user=lssfau utilities\\conda\\walberla
conda-py36-linux: conda-py37-linux:
<<: *conda_deploy_definition <<: *conda_deploy_definition
tags: tags:
- docker - docker
...@@ -1996,9 +1996,9 @@ conda-py36-linux: ...@@ -1996,9 +1996,9 @@ conda-py36-linux:
script: script:
- apt-get update - apt-get update
- apt-get install -y build-essential - apt-get install -y build-essential
- conda build --python=3.6 --user=lssfau utilities/conda/walberla - conda build --python=3.7 --user=lssfau utilities/conda/walberla
conda-py35-linux: conda-py36-linux:
<<: *conda_deploy_definition <<: *conda_deploy_definition
tags: tags:
- docker - docker
...@@ -2006,7 +2006,7 @@ conda-py35-linux: ...@@ -2006,7 +2006,7 @@ conda-py35-linux:
script: script:
- apt-get update - apt-get update
- apt-get install -y build-essential - apt-get install -y build-essential
- conda build --python=3.5 --user=lssfau utilities/conda/walberla - conda build --python=3.6 --user=lssfau utilities/conda/walberla
############################################################################### ###############################################################################
......
about:
home: www.walberla.net
license: GPLv3
summary: High Performance, Multi-physics Simulation Framework
package: package:
name: walberla name: walberla
version: {{ GIT_DESCRIBE_TAG }} version: {{ GIT_DESCRIBE_TAG }}
...@@ -34,3 +29,8 @@ source: ...@@ -34,3 +29,8 @@ source:
test: test:
imports: imports:
- waLBerla - waLBerla
about:
home: www.walberla.net
license: GPLv3
summary: High Performance, Multi-physics Simulation Framework
about:
home: www.walberla.net
license: GPLv3
summary: High Performance, Multi-physics Simulation Framework
package:
name: walberla-lbm
version: {{ GIT_DESCRIBE_TAG }}
build:
number: {{ GIT_DESCRIBE_NUMBER }}
requirements:
build:
- {{ compiler('cxx') }}
- git
- cmake
- make
host:
- python
- boost
- mpich2 [linux]
- openmesh
run:
- python >=3.6
- boost
- numpy
- mpich2 [linux]
- openmesh
source:
path: ../../..
mkdir build
cd build
cmake \
-DCMAKE_FIND_ROOT_PATH=${PREFIX} \
-DCMAKE_INSTALL_PREFIX=${PREFIX} \
-DWALBERLA_BUILD_WITH_PYTHON=ON \
-DWALBERLA_BUILD_WITH_PYTHON_MODULE=ON \
-DWALBERLA_BUILD_WITH_PYTHON_LBM=ON \
..
make -j ${CPU_COUNT} pythonModuleInstall
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment